Qt Reference Documentation

# QPanGesture Class Reference

The QPanGesture class describes a panning gesture made by the user. More...

     #include <QPanGesture>

Inherits: QGesture.

This class was introduced in Qt 4.6.

- List of all members, including inherited members

## Properties

- acceleration : qreal
- delta : const QPointF
- lastOffset : QPointF
- offset : QPointF

- 5 properties inherited from QGesture
- 1 property inherited from QObject

## Public Functions

qreal | acceleration () const
QPointF | delta () const
QPointF | lastOffset () const
QPointF | offset () const
void | setAcceleration ( qreal value )
void | setLastOffset ( const QPointF & value )
void | setOffset ( const QPointF & value )

- 8 public functions inherited from QGesture
- 29 public functions inherited from QObject

### Additional Inherited Members

- 1 public slot inherited from QObject
- 1 signal inherited from QObject
- 7 static public members inherited from QObject
- 8 protected functions inherited from QObject

## Detailed Description

The QPanGesture class describes a panning gesture made by the user.

For an overview of gesture handling in Qt and information on using gestures in your applications, see the Gestures Programming document.

See also QPinchGesture and QSwipeGesture.

## Property Documentation

### acceleration : qreal

This property holds the acceleration in the motion of the touch point for this gesture.

Access functions:

qreal | acceleration () const
void | setAcceleration ( qreal value )

### delta : const QPointF

This property holds the offset from the previous input position to the current input.

This is essentially the same as the difference between offset() and lastOffset().

Access functions:

QPointF | delta () const

### lastOffset : QPointF

This property holds the last offset recorded for this gesture.

The last offset contains the change in position of the user's input as reported in the offset property when a previous gesture event was delivered for this gesture.

If no previous event was delivered with information about this gesture (i.e., this gesture object contains information about the first movement in the gesture) then this property contains a zero size.

Access functions:

QPointF | lastOffset () const
void | setLastOffset ( const QPointF & value )

### offset : QPointF

This property holds the total offset from the first input position to the current input position.

The offset measures the total change in position of the user's input covered by the gesture on the input device.

Access functions:

QPointF | offset () const
void | setOffset ( const QPointF & value )